package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Accelerator;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;
import xaero.rotatenjump.game.object.RotatingOnTouchWall;
import xaero.rotatenjump.game.object.Wall;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level8 extends Level {

    public Level8(){
        buttonText = "8";
        winOnAttach = false;
        scoreboardX = -80;
        scoreboardY = 1000;
        threeStarTime = 1350;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        add(game, new Wall(50, -100, -90, 20, 250, 0));
        add(game, new Platform(90, 90, 6, 0, 20, -1.5f));
        add(game, new Coin(40, 40));
        add(game, new Platform(0, 200, 6, 0, 20, 1.5f));
        add(game, new Coin(40, 160));
        add(game, new Wall(-75, 50, 0, 20, 320, 0));
        add(game, new Wall(175, 90, 0, 20, 400, 0));
        add(game, new Wall(-130, 295, -90, 20, 630, 0));
        add(game, new Coin(-75, 235));
        add(game, new Platform(-125, 235, 6, 0, 20, 1.5f));
        add(game, new Platform(-225, 150, 7, 0, 20, -1.5f));
        add(game, new Coin(-110, 100));
        add(game, new Platform(-280, -20, 8, 0, 100, 20, -1));
        add(game, new Coin(-110, -40));
        add(game, new Wall(-435, 90, 0, 20, 400, 0));
        add(game, new Accelerator(-435, -150, 110, 20));
        add(game, new Wall(-635, 165, 0, 20, 550, 0));
        add(game, new RotatingOnTouchWall(-535, 295, -90, 20, 160, -1.5f));
        add(game, new Platform(-535, -80, 6, 0, 20, 1.5f));
        add(game, new Coin(-535, -20));
        add(game, new Coin(-535, 10));
        add(game, new Platform(-535, 70, 6, 0, 20, -1.5f));
        add(game, new Platform(-535, 170, 6, 0, 20, 1.5f));
        add(game, new Coin(-600, 375));
        add(game, new Platform(-380, 375, 6, 0, 20, -1.5f));
        add(game, new Coin(-280, 375));
        add(game, new Platform(-180, 375, 6, 0, 20, 1.5f));
        add(game, new Coin(-80, 375));
        //add(game, new Katana(90, 170, 135, 0));
    }
}
